<?php
require '../index.php';

$response = $client->request('GET', 'v1/get-brands');
// {
//     "id": 4998,
//     "name": "Wiska",
//     "active": true
// }

$searchProductType = [
    "brandId" => 0,
    "searchMode" => "LIKE"
];

$brands = json_decode($response->getBody());
$getCurrentPricingData = [];
foreach ($brands->brand as $key => $brand) {
    // Get getCurrentPricingData for current brand
    $searchProductType["brandId"] = $brand->id;
    $res = $client->post('v1/get-current-pricing-data', [
        GuzzleHttp\RequestOptions::JSON => $searchProductType
    ]);

    $getCurrentPricingData[] = json_decode($res->getBody());
}

var_dump(json_encode($getCurrentPricingData, JSON_PRETTY_PRINT));
die;